    import Media from 'remon-browsersdk/src/Media.js'

public class | source

# Media

## Constructor Summary

Public Constructor
public | constructor(ctx: *) |

## Member Summary

Public Members
public | context: * |

## Method Summary

Public Methods
public | bindLocalStreamToPeerConnection(peerConnection: *) |
public | bindRemoteStreamToView(event: *) |
public | createLocalStream(ctx: *, constraints: *) |
public | gotDevicesInfo(devices: *) |
public | mediaStreamTrackSwitch(stream: *): * |
public | setAudioOutput(sinkId: *) |
public | setUserDevices(objectPattern: {"audioSource": *, "videoSource": *}) |

## Public Constructors

### public constructor(ctx: *) source

#### Params:

Name | Type | Attribute | Description
ctx | * |  |

## Public Members

### public context: * source

## Public Methods

### public bindLocalStreamToPeerConnection(peerConnection: *) source

#### Params:

Name | Type | Attribute | Description
peerConnection | * |  |

### public bindRemoteStreamToView(event: *) source

#### Params:

Name | Type | Attribute | Description
event | * |  |

### public createLocalStream(ctx: *, constraints: *) source

#### Params:

Name | Type | Attribute | Description
ctx | * |  |
constraints | * |  |

### public gotDevicesInfo(devices: *) source

#### Params:

Name | Type | Attribute | Description
devices | * |  |

### public mediaStreamTrackSwitch(stream: *): * source

#### Params:

Name | Type | Attribute | Description
stream | * |  |

#### Return:

*

### public setAudioOutput(sinkId: *) source

#### Params:

Name | Type | Attribute | Description
sinkId | * |  |

### public setUserDevices(objectPattern: {"audioSource": *, "videoSource": *}) source

#### Params:

Name | Type | Attribute | Description
objectPattern | {"audioSource": *, "videoSource": *} | default: {"audioSource":null,"videoSource":null} |